Subject: bug#40671: [DOC] modify literal objects

From: Drew Adams <[email-masked]>
Date: Tue, 5 May 2020 10:40:59 -0700 (PDT)

Apologies for chiming in here again.
And I haven't read the proposed text or
followed the thread recently.

But I just saw "Dangerous Mutations".

I really don't think that it's helpful or
appropriate to speak of danger in the context
of the gotcha we've been discussing.

Danger is danger.  Yes, with undefined behavior,
and with possible modification of list structure
etc., there is the possibility of loss of data,
and that's not a good thing.  Undefined is scary.

But I'm not in favor of crying "DANGER" about
such things.  At all.

Check the Common Lisp doc.  You don't find
such screaming warnings plastered throughout,
whenever it comes to destructive modification.

The word "destructive" is sufficiently strong.
And in the case of the gotchas being discussed
it's not necessarily even destructive
modification.  The unknown/undefined is just
that.  No need (and inappropriate) to wrap it
DANGEROUS!

Just one opinion.